Loading...
Searching...
No Matches
L4drivers::Ro_register_block< MAX_BITS, BLOCK > Class Template Reference

Handles a reference to a read only register block of the given maximum access width. More...

`#include <hw_register_block>`

Collaboration diagram for L4drivers::Ro_register_block< MAX_BITS, BLOCK >:

## Public Member Functions

Ro_register | operator[] (unsigned offset) const
| Read only access to register at offset offset.
template<unsigned BITS>
Ro_register_tmpl< BITS, Block > | r (unsigned offset) const
| Read only access to register at offset offset.

## Detailed Description

template<unsigned MAX_BITS, typename BLOCK = Register_block_tmpl< Register_block_base<MAX_BITS> const >>
class L4drivers::Ro_register_block< MAX_BITS, BLOCK >

Handles a reference to a read only register block of the given maximum access width.

Template Parameters

  MAX_BITS | Maximum access width for the registers in this block.
  BLOCK | Type implementing the register accesses (read<>()),

Provides read only access to registers in this block via r<WIDTH>() and operator[]().

Definition at line 404 of file hw_register_block.

## Member Function Documentation

## operator[]()

template<unsigned MAX_BITS, typename BLOCK = Register_block_tmpl< Register_block_base<MAX_BITS> const >>

Ro_register L4drivers::Ro_register_block< MAX_BITS, BLOCK >::operator[] | ( | unsigned | offset | ) | const

inline

Read only access to register at offset offset.

Parameters

  offset | The offset of the register within the register file.

Returns
  register object allowing read only access with width MAX_BITS.

Definition at line 426 of file hw_register_block.

## r()

template<unsigned MAX_BITS, typename BLOCK = Register_block_tmpl< Register_block_base<MAX_BITS> const >>
template<unsigned BITS>

Ro_register_tmpl< BITS, Block > L4drivers::Ro_register_block< MAX_BITS, BLOCK >::r | ( | unsigned | offset | ) | const

inline

Read only access to register at offset offset.

Template Parameters

  BITS | the access width in bits for the register.

Parameters

  offset | The offset of the register within the register file.

Returns
  register object allowing read only access with width BITS.

Definition at line 436 of file hw_register_block.

The documentation for this class was generated from the following file:

- pkg/drivers-frst/include/hw_register_block